# Mind Over Matter
A Psionics mod for Cataclysm: Dark Days Ahead

This mod adds (currently) nine separate psionic power paths to Cataclysm, including:

1) Biokinesis - Control of the body. Biokinetics can become stronger and faster than an ordinary human, and even change their form in limited ways. (starting profession: Star Athlete)
2) Clairsentience - Extending the senses beyond the body. Clairsentients can see in the dark and through walls, and eventually gain a bird's eye view of their surroundings, as well as perform in combat by anticipating their enemies' movements. (starting profession: Doomseer)
3) Electrokinesis - Control of lightning and electricity. Electrokinetics can zap attackers, charge devices on their person, unleash bolts of lightning and even manipulate a corpse's nervous system to raise it up to defend them briefly (starting profession: Electrical Engineer)
4) Photokinesis - Control of light. Photokinetics can create or block light, focus light into damaging beams, shield themselves from harmful radiation, and even turn themselves invisible (starting profession: Magician)
5) Pyrokinesis - Manipulating fire and heat. Pyrokinetics can start fires and protect themselves from heat, and even cover their whole body in raging flames to discourage attack (starting profession: Firestarter)
6) Telekinesis - Moving objects at a distance. Telekinetics can pull objects to them and hurl their enemies away, and even collapse buildings or shield themselves with a barrier of telekinetic force. (starting profession: Test Subject, Project ONYX LIGHTNING)
7) Telepathy - Control of the mind. Telepaths can become more persuasive and shield their presence from their enemies, and a powerful one can seize control of their enemies' minds. (starting profession: Government Interrogater (DECEASED))
8) Teleportation - Moving without crossing the intervening distance. Teleporters can escape danger and move quickly, and at higher levels they can travel long distances across the ravaged earth or hurl their enemies away to the space between dimensions. (starting profession: Itzcuauhtli Corps Liaison, Yohualli Èhecatl Division)
9) Vitakinesis - Control of health and injury. Vitakinetics can bind their own wounds and speed healing, eventually recovering from even near-crippling injuries. (starting profession: Faith Healer)

If you would like a random power path, pick the profession "Awakening Psion."

The goal is for each path to be upgraded through usage, since sitting and studying a book for hours doesn't really fit the fiction of improving psychic powers. Powers are gained progressively, with increasing mastery of lower-tier powers unlocking new ones. Powers are based on a new skill called "metaphysics" which you can learn through recipes found from appropriate books in the world. 

ADVANTAGES

1) Psionic powers are fast. Many powers take less than 100 moves to use, with high-level powers sometimes taking much less (a level 10 Telekinetic Hand takes only 10 moves!), reflecting that they are as fast as thought.
2) Powers use Stamina as their power source, meaning that a fully-charged psychic is only a five-minute breather away. 
3) Powers are generally very quiet (generally. Pyrokinesis is very loud)

DISADVANTAGES

1) Powers use Stamina as their power source. This is also a disadvantage because every power use reduces your ability to run away.
2) Powers have a caloric cost as well as a Stamina cost.  While eldritch magic draws on mystical components and mana, psions must rely on the reserves of their own body.
3) All powers require concentration and thus are affected by Focus. It's very difficult to concentrate enough to lift a pursuing boomer if you've just fought off a grappler in close range and there's blood all around you.

NETHER ATTUNEMENT

Long-term power use will attune you to the energies of the Nether. This has no immediate effect, but it does make your power use more unpredicatable the higher your Nether-attunement is. Higher Nether attunement can cause headache or nosebleed, sudden fatigue, a loss of concentration, muscle weakness, or even worse things...but it can also cause a surge of power that increases your overall power level briefly.  Nether-attunement slowly fades with time, and there are faster ways to reduce it.

Power level scales with Nether Attunement.  If you have no Nether attunement, your powers are 75% as effective as they are at Nether Attunement (1). This scale increases all the way up to 3x as effective at Nether Attunement (12)!  However, the higher your Nether Attunement, the greater the chance of unexpected side effects when using your powers.  Headaches, nosebleeds, a sudden cold wind, unnatural tiredness or weakness, your powers going out of control, or even worse things.  There is thus a balance between raising Nether Attunement to empower yourself vs. keeping it low to avoid dangerous side effects.

Nether attunement gain is not linear.  If you have no levels in your @ sheet, it accumulates very slowly.  Once you have the first level of Nether Attunement, however, it accumulates much faster. 

POWER TYPES

Broadly speaking, there are three types of powers:

1) Instant: Powers that manifest their effects immediately and then end. Summoning a blast of flame using pyrokinesis, shocking an enemy using electrokinesis, or stopping a bleeding wound with vitakinesis are all instant.
2) Temporary: Powers that last a few minutes at max. Slowing an enemy by making the relative space around them bigger using teleportation, entering a state of battle fury using biokinesis, or sensing the entirety of your surroundings using clairsentience are all temporary.
3) Concentration: Powers that last an indefinite amount of time until the psion stops concentrating on them. Sensing nearby minds using telepathy, keeping yourself in general good health using vitakinesis, or adapting to extremes of temperature using biokinesis all last as long as the psion can concentrate.  The listed duration for a concentration power is the length of time before the calorie cost is paid again, the possibility of Nether attunement is checked again, power experience is granted again, and a check is made to see if your concentration breaks.  Concentration powers have a (C) [for "Concentration"] in their name.

By default, you can maintain concentration on a number of powers equal to your (Intelligence / 4) + any traits, mutations, proficiencies, or effects that change this limit. This is either listed in the description, like how Easily Distracted reduces the concentration potential by 1, or is common sense, like how being set on fire, covered in rotting zombie barf, or so tired you're doubled over and breathing heavily all make it harder to concentrate.  You may maintain your powers for an indefinite length of time as long as you are under your limit, but if you're over your limit, when a concentration check comes up or when you channel a new power you have a chance to lose your concentration. This is checked independently per concentrated power, so being more powers over your limit greatly increases the odds your concentration will break. 

GAINING PSIONICS

The easiest way to gain psionics is to pick a profession that starts with them or choose one of the "newly-awakened [X]" hobbies. There are also some strange crystals you might find in places with a strong connection with the Nether, or which are carried by feral psions, or in ruined secret scientific facilities. Or you could walk out into a portal storm unprotected.

Listen to the voices.

Bathe in the energies of the Nether.

We have such sights to show you. 

LEARNING NEW POWERS

New powers are unlocked by leveling existing powers. When particular prerequisites are reached and after a certain amount of time (anywhere from a couple of days to a couple of weeks, depending on power difficulty), you have the chance to unlock the possibility of a new power. Once you’ve done so, you can attempt its contemplation recipe, found in the Practice crafting tab, to attempt to understand the power. If you succeed (success depends on your Metaphysics skill), you’ll unlock the power and it will appear in your powers list. If you fail, you’ll have to try again. You can try repeatedly until you successfully unlock it. 

There is a small chance you can sidestep the prerequisites and discover powers that would normally be beyond your ability. If this happens, you can contemplate to attempt to unlock it the same as any other power. 

